import { computed } from 'vue';

export default function useDialog(props, emit) {
  const show = computed({
    get() {
      return props.visible;
    },
    set(v) {
      emit('update:visible', v);
    },
  });
  return { show };
}
