import Mock from 'mockjs';

const menusList = [
  // {
  //   id: 1,
  //   title: '一级菜单1',
  //   parentId: -1,
  //   url: '/menu1',
  //   sort: 1,
  //   icon: null,
  //   name: 'Menu1',
  // },
  // {
  //   id: 2,
  //   title: '二级菜单1-1',
  //   parentId: 1,
  //   url: '/menu1/menu1-1',
  //   sort: 2,
  //   icon: null,
  //   name: 'Menu1-1',
  // },
  // {
  //   id: 3,
  //   title: '二级菜单1-2',
  //   parentId: 1,
  //   url: '/menu1/menu1-2',
  //   sort: 3,
  //   icon: null,
  //   name: 'Menu1-2',
  // },
  {
    id: 4,
    title: '用户管理',
    parentId: -1,
    url: '/userManage',
    sort: 1,
    icon: null,
    name: 'UserManage',
  },
  {
    id: 5,
    title: '考试管理',
    parentId: -1,
    url: '/examManage',
    sort: 2,
    icon: null,
    name: 'ExamManage',
  },
];

export const menusApi = Mock.mock('/api/getMenus', 'get', () => {
  return menusList;
});

export const loginApi = Mock.mock('/api/login', 'post', (data) => {
  return {
    userName: '路人甲',
    id: Math.floor(Math.random() * 100 + 1),
    token: '123',
  };
});

export const addApi = Mock.mock('/api/add', 'post', (data) => {
  return {
    ok: true,
  };
});
export const editApi = Mock.mock('/api/edit', 'post', (data) => {
  return {
    ok: true,
  };
});
